Skip to main content
POST
/
timesheets
/
{timesheet_id}
/
approval
Approve Week/Request for Approval
curl --request POST \
  --url https://api.everhour.com/timesheets/{timesheet_id}/approval \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "comment": "some text",
  "reviewer": 14854,
  "sendNotification": false
}
'
{
  "id": 148562535,
  "user": 14856,
  "weekId": 2535,
  "timesheetId": 148562535,
  "reviewer": 14854,
  "history": [
    {
      "action": "submitted",
      "days": {
        "monday": true,
        "tuesday": true,
        "wednesday": true,
        "thursday": true,
        "friday": true,
        "saturday": false,
        "sunday": false
      },
      "user": 2535,
      "comment": "some text",
      "createdAt": "2025-08-05 16:17:14"
    }
  ]
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

timesheet_id
number
required

Timesheet ID

Example:

148562535

Body

application/json
comment
string
Example:

"some text"

reviewer
number

User ID, must be admin in team

Example:

14854

sendNotification
boolean
Example:

false

Response

OK

id
number

Timesheet ID

Example:

148562535

user
number

User ID

Example:

14856

weekId
number
Example:

2535

timesheetId
number
Example:

148562535

reviewer
number

Reviewer User ID

Example:

14854

history
object[]